<TacticalQuery.CloseCoverOnSameLevelWithShootingPostureInArea __id="d41d1e74-b97e-48e3-acbf-920ce2514aa4" __path="libs/foundry/records/tacticalquery/tpsqueries/sharedqueries/closecoveronsamelevelwithshootingpostureinarea.xml" __type="TacticalQuery" name="CloseCoverOnSameLevelWithShootingPostureInArea" type="TacticalPointQuery">
  <options>
    <TQSEmbeddedOption __type="TQSOption" __polymorphicType="TQSEmbeddedOption">
      <content __type="TQSOptionContent">
        <conditions>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_distance_from_attentionTarget" value="4.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="otherSide_of_attentionTarget" value="0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="max_heightRelative_from_puppet" value="2.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="hasShootingPosture_to_attentionTarget" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_distance_from_puppet" value="1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_heightRelative_from_puppet" value="-1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_hostilesDistance" value="5.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_friendlyDistance" value="2.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="isInside_the_area" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
        </conditions>
        <generation>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="cover_from_attentionTarget_around_puppet" value="10.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
        </generation>
        <parameters />
        <weights>
          <TQSWeightInputValue __type="TQSWeightInput" __polymorphicType="TQSWeightInputValue" condition="distance_to_puppet" weight="-1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSWeightInputValue>
        </weights>
      </content>
      <optionOverrides />
      <requirements __type="TagsDNF">
        <terms />
      </requirements>
    </TQSEmbeddedOption>
    <TQSEmbeddedOption __type="TQSOption" __polymorphicType="TQSEmbeddedOption">
      <content __type="TQSOptionContent">
        <conditions>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_distance_from_attentionTarget" value="4.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="otherSide_of_attentionTarget" value="0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="max_heightRelative_from_puppet" value="2.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="hasShootingPosture_to_attentionTarget" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_distance_from_puppet" value="10.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_heightRelative_from_puppet" value="-1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_hostilesDistance" value="5.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_friendlyDistance" value="1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="isInside_the_area" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
        </conditions>
        <generation>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="cover_from_attentionTarget_around_puppet" value="20.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
        </generation>
        <parameters />
        <weights>
          <TQSWeightInputValue __type="TQSWeightInput" __polymorphicType="TQSWeightInputValue" condition="distance_to_puppet" weight="-1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSWeightInputValue>
        </weights>
      </content>
      <optionOverrides />
      <requirements __type="TagsDNF">
        <terms />
      </requirements>
    </TQSEmbeddedOption>
    <TQSEmbeddedOption __type="TQSOption" __polymorphicType="TQSEmbeddedOption">
      <content __type="TQSOptionContent">
        <conditions>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_distance_from_attentionTarget" value="4.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="otherSide_of_attentionTarget" value="0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="hasShootingPosture_to_attentionTarget" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_distance_from_puppet" value="20.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_hostilesDistance" value="5.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_friendlyDistance" value="1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="isInside_the_area" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
        </conditions>
        <generation>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="cover_from_attentionTarget_around_puppet" value="30.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
        </generation>
        <parameters />
        <weights>
          <TQSWeightInputValue __type="TQSWeightInput" __polymorphicType="TQSWeightInputValue" condition="distance_to_puppet" weight="-1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSWeightInputValue>
        </weights>
      </content>
      <optionOverrides />
      <requirements __type="TagsDNF">
        <terms />
      </requirements>
    </TQSEmbeddedOption>
  </options>
</TacticalQuery.CloseCoverOnSameLevelWithShootingPostureInArea>